Files

Get project files

GET
/projects/{project_id}/files.json

Get the files of a project and its versions

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

project_id*|

Project ID or identifier

Query Parameters

sort?string

Sort column (filename, created_on, size or downloads), with an optional :desc suffix

Response Body

The request has succeeded.

application/json
  1. response
files*array<>
curl -X GET 'https://redmine.example.com/projects/0/files.json'
{  "files": [    {      "id": 0,      "filename": "string",      "filesize": 0,      "content_type": "string",      "description": "string",      "content_url": "http://example.com",      "thumbnail_url": "http://example.com",      "author": {        "id": 0,        "name": "string"      },      "created_on": "2019-08-24T14:15:22Z",      "version": {        "id": 0,        "name": "string"      },      "digest": "string",      "downloads": 0    }  ]}